Bug 1985895 - Order by 'Latest version' doesn't work on CustomResourceDefinitions list page
Summary: Order by 'Latest version' doesn't work on CustomResourceDefinitions list page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Rastislav Wagner
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-26 07:56 UTC by Yadan Pei
Modified: 2021-10-18 17:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:41:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9635 0 None open Bug 1985895: Fix table sorting 2021-07-27 07:50:01 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:41:22 UTC

Description Yadan Pei 2021-07-26 07:56:25 UTC
Description of problem:
when trying to change order of apiVersion on CustomResourceDefinitions list page , the sorting doesn't work as expected

Version-Release number of selected component (if applicable):
4.9.0-0.nightly-2021-07-25-125326

How reproducible:
Always

Steps to Reproduce:
1. admin user goes to CustomResourceDefinitions list page /k8s/cluster/customresourcedefinitions
2. Click the arrow to change data order of 'Latest version' column
3.

Actual results:
2. the order result is not correct

Expected results:
2. the results should be ordered correctly

Additional info:

Comment 1 Robb Hamilton 2021-07-26 14:30:22 UTC
It looks like `sortFunc` is broken everywhere and not just on the CRD apiVersion col.  I believe https://github.com/openshift/console/commit/3f127123faf52d7ef4effee4a98b093c63ee08f6#diff-88910eaad88244e5a1a05c0af91ff4e2691f9b916abf4a77575db876414b1b15 is the last good commit.  Raising the severity as a result of this affecting all tables using `sortFunc`.

Comment 2 Robb Hamilton 2021-07-26 14:58:12 UTC
This bug appears to have been introduced with https://github.com/openshift/console/pull/8756

Comment 4 Yadan Pei 2021-07-30 02:20:05 UTC
The original issue that sorting by 'Latest version' doesn't work on CustomResourceDefinitions list page has been fixed.

Also checked some other sorting on resources list page, such as Pods list, Projects list, Nodes list page, all sorting is working as expected now


Verified on 4.9.0-0.nightly-2021-07-29-103526

Comment 7 errata-xmlrpc 2021-10-18 17:41:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.